import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  stage: z.string().optional(),
  aiHandoff: z.boolean().optional(),
  updatedAt: z.coerce.date().optional()
}).strict();
export const PatientConversationUncheckedCreateWithoutPatientInputObjectSchema: z.ZodType<Prisma.PatientConversationUncheckedCreateWithoutPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationUncheckedCreateWithoutPatientInput>;
export const PatientConversationUncheckedCreateWithoutPatientInputObjectZodSchema = makeSchema();
